import default_shortforms from "./shortforms.se.json";
import { db, type Shortform, type List } from "./main"

export const importShortforms = (shortforms: Array<Shortform>) => {
    const used = new Date(0)
    const updated = Date.now()
    shortforms.map((sf: Shortform) => {
        db.shortforms.add({ shortform: sf.shortform, phrase: sf.phrase, listid: sf.listid, used, uses: 0, remind: -1, updated })
    })
}

export const importDefaultShortforms = () => {
    const shortforms = default_shortforms.shortforms
    const list: List = { id: default_shortforms.listid, type: default_shortforms.type, name: default_shortforms.name, updated: new Date(default_shortforms.updated) }
    db.lists.add(list)
    shortforms.map((sf: Shortform) => {
        db.shortforms.add({ shortform: sf.sf, phrase: sf.p, listid: list.id })
    })

}
